Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.imp
Class ResumePreviousTransactionSubTxAwareParticipant

    java.lang.Object
      com.atomikos.icatch.imp.ResumePreviousTransactionSubTxAwareParticipant

All Implemented Interfaces:
  SubTxAwareParticipant, Serializable

    public class ResumePreviousTransactionSubTxAwareParticipant

extends Object
implements SubTxAwareParticipant

A subtx aware participant that resumes a previous transaction upon termination of the (sub)transaction it is registered with.

See Also:
  Serialized Form

Constructor Summary
`ResumePreviousTransactionSubTxAwareParticipant(CompositeTransaction previous)`

Method Summary
`void` | `committed(CompositeTransaction tx)` Notification of termination.
`void` | `rolledback(CompositeTransaction tx)` Notification that some transaction has been rolledback.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResumePreviousTransactionSubTxAwareParticipant

    public ResumePreviousTransactionSubTxAwareParticipant(CompositeTransaction previous)

Method Detail

### committed

    public void committed(CompositeTransaction tx)

  Description copied from interface: `SubTxAwareParticipant`
  Notification of termination.

  Specified by:
    `committed` in interface `SubTxAwareParticipant`
  Parameters:
    `tx` - The composite transaction that has terminated locally at its node.

### rolledback

    public void rolledback(CompositeTransaction tx)

  Description copied from interface: `SubTxAwareParticipant`
  Notification that some transaction has been rolledback.

  Specified by:
    `rolledback` in interface `SubTxAwareParticipant`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.